- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::PolicyFactory_Registry_Adapter Class Reference

ORB-specific PortableInterceptor::PolicyFactory registry. More...

`#include <PolicyFactory_Registry_Adapter.h>`

List of all members.

## Public Member Functions
virtual | ~PolicyFactory_Registry_Adapter (void)
virtual void | register_policy_factory (CORBA::PolicyType type, PortableInterceptor::PolicyFactory_ptr policy_factory)=0
virtual CORBA::Policy_ptr | create_policy (CORBA::PolicyType type, const CORBA::Any &value)=0
virtual CORBA::Policy_ptr | _create_policy (CORBA::PolicyType type)=0
virtual bool | factory_exists (CORBA::PolicyType &type) const =0

## Detailed Description

ORB-specific PortableInterceptor::PolicyFactory registry.

Class that offers an interface to the ORB to load and manipulate PolicyFactory_Registry

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::PolicyFactory_Registry_Adapter::~PolicyFactory_Registry_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual CORBA::Policy_ptr TAO::PolicyFactory_Registry_Adapter::_create_policy | ( | CORBA::PolicyType | type | ) | `[pure virtual]`

Create an empty policy, usually to be filled in later by demarshaling.

virtual CORBA::Policy_ptr TAO::PolicyFactory_Registry_Adapter::create_policy | ( | CORBA::PolicyType | type,
|  | const CORBA::Any & | value |
| ) |  |  | `[pure virtual]`

Construct a policy of the given type with the information contained in the CORBA::Any value.

virtual bool TAO::PolicyFactory_Registry_Adapter::factory_exists | ( | CORBA::PolicyType & | type | ) | const`[pure virtual]`

Check if a `PolicyFactory` corresponding to the given type, exists.

virtual void TAO::PolicyFactory_Registry_Adapter::register_policy_factory | ( | CORBA::PolicyType | type,
|  | PortableInterceptor::PolicyFactory_ptr | policy_factory |
| ) |  |  | `[pure virtual]`

Register a PolicyFactory with the underlying PolicyFactory sequence. This method should only be called during ORB initialization.

The documentation for this class was generated from the following files:

- PolicyFactory_Registry_Adapter.h
- PolicyFactory_Registry_Adapter.cpp